org.gradle.language.swift

## Interface SwiftPlatform

- All Superinterfaces:
    Describable, Named, NativePlatform, Platform

      @Incubating
      public interface SwiftPlatform
      extends NativePlatform

  A target platform for building Swift binaries.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OperatingSystemFamily` | `getOperatingSystemFamily()` The operating system family being targeted.

    - ### Methods inherited from interface org.gradle.nativeplatform.platform.NativePlatform

      `architecture, getArchitecture, getOperatingSystem, operatingSystem`

    - ### Methods inherited from interface org.gradle.platform.base.Platform

      `getDisplayName, getName`

    - ### Methods inherited from interface org.gradle.api.Describable

      `getDisplayName`

- - ### Method Detail

    - #### getOperatingSystemFamily

          OperatingSystemFamily getOperatingSystemFamily()

      The operating system family being targeted.
      Since:
        4.8